- Home
- API Enriched
- Tenant And Identity
- config
- All Application Objects Inventory with WAF Filters.
All Application Objects Inventory with WAF Filters.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/system/all_application_inventory_waf_filters';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"exclusion_signature_id":1,"exclusion_violation_type":"VIOL_NONE"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/system/all_application_inventory_waf_filters \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "exclusion_signature_id": 1, "exclusion_violation_type": "VIOL_NONE" }'AllApplicationInventoryWaf returns inventory of configured application related objects for all namespaces with WAF Filters.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Request for inventory of application related objects with WAF Filter.
object
Exclusive with [exclusion_violation_type]
Responses
Section titled “Responses”A successful response.
Response for inventory of application related objects.
object
Application Inventory of configured CDN Loadbalancers with WAF Filters.
HTTP Loadbalancer WAF Filter Inventory Results.
object
Name of HTTP LB.
Namespace of HTTP LB.
Application Inventory of configured HTTP Loadbalancers with WAF Filters.
HTTP Loadbalancer WAF Filter Inventory Results.
object
Name of HTTP LB.
Namespace of HTTP LB.
Examplegenerated
{ "cdn_loadbalancers": [ { "name": "example", "namespace": "example" } ], "http_loadbalancers": [ { "name": "example", "namespace": "example" } ]}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example